{: test that argv syntax error causes a compilation error }

program e1042( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

var
   e : colour;
   n : integer;
   s : packed array[1..20] of char;

begin { e1042 }

   e := black;
   n := 2;
   argv( 2, s );         { OK }
   argv( e, s );         { !!! bad arg }

   writeln( 'argv errors not detected' );
end. { e1042 }

